%define anolis_release 1
Name:           teckit
Version:        2.5.11
Release:        %{anolis_release}%{?dist}
Summary:        Conversion library and mapping compiler
# COPYING:                      links to license/LICENSING.txt
# license/License_CPLv05.txt:   CPLv0.5 text
# license/License_LGPLv21.txt:  LGPLv2 text
# license/LICENSING.txt:        license declarations
# SFconv/UtfCodec.cpp:      LGPLv2+ or GPLv2+ or MPL(?version) (bundled Graphite2)
# SFconv/UtfCodec.h:        LGPLv2+ or GPLv2+ or MPL(?version) (bundled Graphite2)
#                           <https://github.com/silnrsi/graphite/issues/58>,
#                           graphite2 package uses "MPL"
# source/Engine.cpp:        LGPLv2+ or CPL
# source/TECkit_Format.h:   LGPLv2+ or CPL
## Not in any binary package
# aclocal.m4:           FSFULLR
# compile:              GPLv2+ with exceptions
# config.guess:         GPLv3+ with exceptions
# config.sub:           GPLv3+ with exceptions
# configure:            FSFUL and GPLv2+ with exceptions
# depcomp:              GPLv2+ with exceptions
# install-sh:           MIT
# lib/Makefile.in:      FSFULLR
# ltmain.sh:            GPLv2+ with exceptions and GPLv3+ with exceptions and GPLv3+
# m4/libtool.m4:        FSFULL and FSFULLR and GPLv2+ with exceptions
# m4/ltoptions.m4:      FSFULLR
# m4/ltsugar.m4:        FSFULLR
# m4/ltversion.m4:      FSFULLR
# m4/lt~obsolete.m4:    FSFULLR
# Makefile.in:          FSFULLR
# missing:              GPLv2+ with exceptions
# test-driver:          GPLv2+ with exceptions
# test/Makefile.in:     FSFULLR
## Unbundled
# SFconv/expat/xmlparse/hashtable.c:    MPLv1.1 of GPL+ (bundled expat)
# SFconv/expat/xmlparse/xmlparse.c:     MPLv1.1 of GPL+ (bundled expat)
# zlib-1.2.3:           zlib (see nonexistent zlib.h, reported to
#                       <https://github.com/silnrsi/teckit/issues/22>)
License:        (LGPLv2+ or CPL) and (LGPLv2+ or GPLv2+ or MPLv2.0 or MPLv1.1)
URL:            https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=teckit
Source0:        https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  expat-devel
# gcc is not needed, the only source/NormalizationData.c is included into
# a C++ source/Engine.cpp compilation unit.
BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  zlib-devel
# Tests:
BuildRequires:  perl-interpreter
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Provides:       bundels(graphite2)

%description
TECkit is a low-level toolkit intended to be used by other applications that
need to perform encoding conversions (e.g., when importing legacy data into
a Unicode-based application). The primary component of the TECkit package is
therefore a library that performs conversions; this is the "TECkit engine".
The engine relies on mapping tables in a specific binary format (for which
documentation is available); there is a compiler that creates such tables from
a human-readable mapping description (a simple text file).

%package devel
Summary:        Developmental files for TECkit library
License:        LGPLv2+ or CPL
Requires:       %{name} = %{version}-%{release}

%description devel
Header files, pkg-config module, and documentation for developing application
that use TECkit, a character encoding and mapping, library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1
# Remove bundled libraries
rm -r zlib-*/*.c SFconv/expat

%build
autoreconf -fi
%configure \
    --disable-debug \
    --disable-final \
    --without-old-lib-names \
    --disable-profile \
    --disable-profilefn \
    --enable-shared \
    --disable-static \
    --with-system-zlib \
    --disable-tetex-build
%{make_build}

%install
%{make_install}
%generate_compatibility_deps

%check
%{make_build} check

%files
%license license/*
%{_bindir}/sfconv
%{_bindir}/teckit_compile
%{_bindir}/txtconv
%{_libdir}/libTECkit.so.0
%{_libdir}/libTECkit.so.0.*
%{_libdir}/libTECkit_Compiler.so.0
%{_libdir}/libTECkit_Compiler.so.0.*
%{_mandir}/man1/*
%dir %{abidir}
%{abidir}/libTECkit.dump
%{abidir}/libTECkit_Compiler.dump
%{abidir}/txtconv-option.list

%files doc
%doc AUTHORS NEWS README

%files devel
%doc docs/*.pdf
%{_includedir}/teckit/
%{_libdir}/libTECkit.so
%{_libdir}/libTECkit_Compiler.so
%{_libdir}/pkgconfig/teckit.pc

%changelog
* Mon Mar 20 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.5.11-1
- Update version to v2.5.11

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 2.5.9-1
- Import package for anolis 23
